// MaxNodeKey.h: interface for the CMaxNodeKey class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAXNODEKEY_H__5707FED2_814E_4A5B_AF70_F943D129967E__INCLUDED_)
#define AFX_MAXNODEKEY_H__5707FED2_814E_4A5B_AF70_F943D129967E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Rasterizer\NodeKey.h"

#include "MAXSDK.h"

class CFileStream;

class CMaxNodeKey : public CNodeKey  
{
public:
	CMaxNodeKey();
	virtual ~CMaxNodeKey();

	bool CreateFrames(DWORD dwNumFrames);
	void Write(CFileStream *lpStream, DWORD dwNumFrames);

	// inline
	///////////////////////////////////////////////////////////////////////////
	LPKINEMATICS GetKinematices(DWORD dwFrame)	{ return m_pKinematics + dwFrame; }
	void SetParent(int nParent)					{ m_nParent = nParent; }
};

#endif // !defined(AFX_MAXNODEKEY_H__5707FED2_814E_4A5B_AF70_F943D129967E__INCLUDED_)
